#include <sys/types.h>
#include <termio.h>

struct ups;

/* stuff for serial UPSes */

int serial_open(struct ups *ups, int speed, int raw);
int serial_open_tio(struct ups *ups, struct termio *tio);
int serial_setmctrl(struct ups *ups, int set, int clr);
int serial_getmctrl(const struct ups *ups);
int serial_write(struct ups *ups, const void *wbuf, int wlen);
int serial_read(struct ups *ups, void *rbuf, int rlen);
int serial_cmd(struct ups *ups,
               const void *wbuf, int wlen,
               void *rbuf, int rlen);

